Jump to content

MediaWiki:Common.css: Difference between revisions

From shapez Wiki
m Fix swapped light/dark styles
m Fix incorrect alpha due to copy-paste too
Line 14: Line 14:
padding: 0.5em;
padding: 0.5em;
border: 1px solid;
border: 1px solid;
border-color: light-dark(hsl(from var(--box-color) h calc(s * 0.5) l / 0.2), var(--box-color));
border-color: light-dark(hsl(from var(--box-color) h calc(s * 0.5) l), var(--box-color));
background-color: hsl(from var(--box-color) h s l / 0.2);
background-color: hsl(from var(--box-color) h s l / 0.2);



Revision as of 01:21, 3 February 2026

kbd {
	font-family: inherit;
	text-decoration-line: underline;
	text-decoration-style: dotted;
	text-decoration-thickness: 1px;
	
	> kbd {
		font-weight: bold;
	}
}

.shapez-box {
	display: block;
	padding: 0.5em;
	border: 1px solid;
	border-color: light-dark(hsl(from var(--box-color) h calc(s * 0.5) l), var(--box-color));
	background-color: hsl(from var(--box-color) h s l / 0.2);

	--box-color: #aaa;

	&.red { --box-color: #ff666a; }
	&.green { --box-color: #78ff66; }
	&.blue { --box-color: #66a7ff; }
	&.cyan { --box-color: #00fcff; }
	&.purple { --box-color: #dd66ff; }
	&.yellow { --box-color: #fcf52a; }
}

.shapez-signal {
	&.inline img {
		width: 1lh;
		height: 1lh;
		vertical-align: bottom;
	}
}